@echo off
cls
echo +=====================================================================
echo + This install script will copy the English version of the HP-GL/2   
echo + driver files from your floppy disc drive to your hard disc drive.      
echo +                    
echo + Make sure you have inserted the floppy containing the driver files!
echo + Make sure you are at the A: prompt when you invoke INSTALL.
echo +=====================================================================
echo +		(Type Ctrl-C to abort the installation)
echo +
echo +
echo +
echo +
echo +
echo +
echo +
echo +
echo + Please enter the letter of the drive and the directory path 
echo + where the driver will be placed: (Example: d:\acad\drivers)
ask 1

if errorlevel 1 goto NotWell
if errorlevel 0 goto AllsWell

:NotWell
echo +
echo +=====================================================================
echo + The HP-GL/2 driver files have  NOT  been successfully copied to your 
echo + hard disc drive.  Did you type in a directory path that exists?
echo +=====================================================================
goto Exit

:AllsWell
echo +
echo +=====================================================================
echo + The English version of the HP-GL/2 driver files have been copied
echo + successfully to the hard disc drive.  
echo +=====================================================================
pause 

echo +=====================================================================
echo +  This floppy disc contains 2 HP-GL/2 plotter drivers for use with
echo +             AutoCAD/386 Release 11 and Release 10                       
echo +       DOS 640K AutoCAD Release 10 and AutoCAD/286 Release 11
echo +
echo +  HPGL2.EXE is a Real Mode ADI 4.0 driver that MUST be used with
echo +  the DOS 640K version of AutoCAD R10 and AutoCAD 286 R11.     
echo +  Please refer to the ACADR.PRN file for configuration information.
echo +
echo +  PLPHPGL2.EXP is a Protected Mode ADI 4.1 driver that provides many
echo +  advantages over the Real Mode ADI 4.0 driver HPGL2.EXE. AutoCAD/386
echo +  Release 10 and Release 11 users will want to use this driver for
echo +  plotting to their HP-GL/2 plotters.  Please refer to the file
echo +  ACADP.PRN for information on driver usage and configuration.
echo +=====================================================================
pause

echo +=====================================================================
echo +  Some important advantages a protected mode P386 driver has over a 
echo +  real mode driver are listed below:
echo +
echo +  - PLPHPGL2.EXP runs between 30%% to 50%% faster than HPGL2.EXE.
echo +  - PLPHPGL2.EXP can be used in script mode.
echo +  - PLPHPGL2.EXP can be used in AutoCAD autospool mode.  This 
echo +    dramatically shortens the PC lockout time.
echo +  - PLPHPGL2.EXP uses extended memory, so it does not take up precious
echo +    space within the 640K real memory.  It is loaded by AutoCAD when
echo +    needed and that memory is released when the AutoCAD application
echo +    is ended.  In contrast, the real mode ADI driver exists as a TSR
echo +    (Terminate Stay Ready) in memory even when AutoCAD is ended.
echo +=====================================================================
echo      ( AutoCAD, AutoCAD/386, ADI are trademarks of Autodesk, Inc.)
echo HAPPY
echo      PLOTTING
echo              WITH
echo                  HP-GL/2 !!

:Exit
